import java.util.ArrayList;

/**
 * Génération d'une suite de nombres aléatoires entiers ou décimaux d'un intervalle donné. Les
 * nombres peuvent être affichés à l'écran, stockés dans une liste de nombres ou dans les
 * attributs d'une liste d'objets.
 * Exemple B:
 * ----------
 * La classe contient la liste ArrayList<Double> alNumbers. Ajoutez à la
 * classe la méthode public void randomFill(int pN, double pMin, double pMax) qui
 * remplit alNumbers par pN valeurs aléatoires décimales de l'intervalle [pMin, pMax[.
 */
public class Problem3B {

    private ArrayList<Double> alNumbers = new ArrayList<>(); //liste déjà initalisée
	
    public void randomFill(int pN, double pMin, double pMax) {
        alNumbers.clear(); //"remplit" la liste => supprimer le contenu antérieur
        double currentNumber;
        for (int i = 0; i < pN; i++) {
            //voir cours 11e, chap: "Générer des nombres aléatoires"
            currentNumber = Math.random() * (pMax - pMin) + pMin;
            alNumbers.add(currentNumber);
        }
    }

    public void print() {
    	  for (int i = 0; i < alNumbers.size(); i++) {
    	  	System.out.print(alNumbers.get(i)+"  ");
		if((i+1)%5==0) System.out.println();
    	  }
    	  System.out.println();
    }

}
