import java.util.ArrayList;

/**
 * Génération d'une suite de nombres aléatoires entiers ou décimaux d'un intervalle donné. Les
 * nombres peuvent être affichés à l'écran, stockés dans une liste de nombres ou dans les
 * attributs d'une liste d'objets.
 * Exemple C:
 * ----------
 * La classe contient la liste ArrayList<Line> alLines. Line possède le
 * constructeur Line(int pX1, int pY1, int pX2, int pY2). Ajoutez à la classe Lines la
 * méthode public void addRandomLines(int pN, int pWidth, int pHeight) qui ajoute
 * à la liste pN lignes dont les coordonnées sont des nombres aléatoires, avec
 * 0 ≤ pX1,pX2 < pWidth et 0 ≤ pY1,pY2 < pHeight.
 **/

public class Problem3C {

	private ArrayList<Line> alLines = new ArrayList<>();

	public void addRandomLines(int pN, int pWidth, int pHeight) {
          int x1, y1, x2, y2;
          //les lignes sont ajoutées => pas de clear()
		for (int i = 0; i < pN; i++) {
		   x1 = (int)(Math.random() * ((pWidth -1) - 0 + 1)) + 0;
		   y1 = (int)(Math.random() * ((pHeight-1) - 0 + 1)) + 0;
		   x2 = (int)(Math.random() * pWidth ); //le même calcul, mais simplifié
		   y2 = (int)(Math.random() * pHeight);
		   alLines.add(new Line(x1,y1,x2,y2));
		}
	}

	public void print() {
    	  for (int i = 0; i < alLines.size(); i++) {
    	  	System.out.println("["+i+"] : "+alLines.get(i));
    	  }
    }

}