import java.awt.Point;
/**
 * Programme de test pour les différents problèmes.
 * En NetBeans : démarrer comme un programme normal. Résultats : voir fenêtre 'Output'
 * En Unimozer : compiler et démarrer la méthode main
 */
public class ProblemesTypes {

    public static void main(String[] args) 
    {
        Problem1 p1 = new Problem1(56,42);
        System.out.println("P1: " + p1);
        System.out.println("P1: GCD Euclid Division: "    + p1.calculateGcdEuclidDivision());
        System.out.println("P1: GCD Euclid Subtraction: " + p1.calculateGcdEuclidSubtraction());
        System.out.println("*******************************************************");
        
        for(int i = 0 ; i < 30 ; i++)
        {
            Problem2 p2a = new Problem2(i);
            System.out.println("P2: " + p2a);
        }
        System.out.println("*******************************************************");
        
        System.out.println("P3A:");
        Problem3A p3a = new Problem3A();
        p3a.printRandomNumbers(50, -1000, 1000);
        System.out.println("*******************************************************");

        System.out.println("P3B:");
        Problem3B p3b = new Problem3B();
        p3b.randomFill(50, -10, 10);
        p3b.print();
        System.out.println("*******************************************************");
        
        System.out.println("P3C:");
        Problem3C p3c = new Problem3C();
        p3c.addRandomLines(5, 800, 600);
        p3c.print();
        System.out.println();
        p3c.addRandomLines(6, 800, 600);
        p3c.print();
        System.out.println("*******************************************************");
        
        
        Problem4A p4a = new Problem4A();
        p4a.addPerson(new Person("Pit",    1998));
        p4a.addPerson(new Person("Marc",   1990));
        p4a.addPerson(new Person("Julien", 2001));
        p4a.addPerson(new Person("Paul",   1999));
        p4a.addPerson(new Person("Marc",   2002));
        p4a.addPerson(new Person("Adam",   2000));
        System.out.println("P4A: " + p4a);
        System.out.println("P4A: Marc (first) "  + p4a.findFirst1("Marc"));
        System.out.println("P4A: Marc (last)  "  + p4a.findLast  ("Marc"));
        System.out.println("P4A: Adam (first) "  + p4a.findFirst2("Adam"));
        System.out.println("*******************************************************");
        
        Problem4B p4b = new Problem4B();
        p4b.addShape(new Shape(10, 110, 110, 10));
        p4b.addShape(new Shape(140, 40, 40, 140));
        p4b.addShape(new Shape(200, 20, 20, 100));
        System.out.println("P4B: ");
        System.out.println(p4b);
        System.out.println("P4B: Point(5, 5)   : "  + p4b.find1(new Point(5,5)));
        System.out.println("P4B: Point(15,15)  : "  + p4b.find1(new Point(15,15)));
        System.out.println("P4B: Point(50,50)  : "  + p4b.find1(new Point(50,50)));
        System.out.println("P4B: Point(130,130): "  + p4b.find1(new Point(130,130)));
        System.out.println("*******************************************************");
        
        Problem5 p5 = new Problem5();
        p5.addPerson(new Person("Pit",    1998));
        p5.addPerson(new Person("Marc",   1990));
        p5.addPerson(new Person("Julien", 2001));
        p5.addPerson(new Person("Paul",   1999));
        p5.addPerson(new Person("Marc",   2002));
        p5.addPerson(new Person("Adam",   2000));
        System.out.println("Original order:");
        System.out.println("P5: " + p5);
        System.out.println("Sorted by names:");
        p5.sort2();
        System.out.println("P5: " + p5);
        System.out.println("Sorted by birthyears:");
        p5.sort3();
        System.out.println("P5: " + p5);
        System.out.println("*******************************************************");
        
        
        Problem6 p6 = new Problem6();
        p6.addMark(50);
        p6.addMark(59);
        p6.addMark(20);
        p6.addMark(30);
        p6.addMark(13);
        p6.addMark(25);
        System.out.println("P6: " + p6);
        System.out.println("*******************************************************");
        
        
        Problem7A p7a = new Problem7A();
        p7a.addPerson(new Person("Pit",    1998));
        p7a.addPerson(new Person("Marc",   1990));
        p7a.addPerson(new Person("Julien", 2001));
        p7a.addPerson(new Person("Paul",   1999));
        p7a.addPerson(new Person("Marc",   2002));
        p7a.addPerson(new Person("Adam",   2000));
        System.out.println("Original list:");
        System.out.println("P7A: " + p7a);
        System.out.println("Remove all with birthyear <= 2000 :");
        p7a.removeAll(2000);
        //p7a.removeAll1(2000);
        System.out.println("P7A: " + p7a);
                
        System.out.println("*******************************************************");

        Problem7B p7b = new Problem7B();
        p7b.addShape(new Shape(10, 110, 110, 10));
        p7b.addShape(new Shape(1, 1, 8, 8));
        p7b.addShape(new Shape(2, 2, 7, 7));
        p7b.addShape(new Shape(140, 40, 40, 140));
        p7b.addShape(new Shape(200, 20, 20, 100));
        System.out.println("P7B: ");
        System.out.println(p7b);
        System.out.println("Après removeAll(p(5,5))   : ");
        p7b.removeAll(new Point(5,5));
        //p7b.removeAll1(new Point(5,5));
        System.out.println(p7b);
        System.out.println("Après removeAll(p(20,20)) : ");
        p7b.removeAll(new Point(20,20));
        //p7b.removeAll1(new Point(20,20));
        System.out.println(p7b);
        System.out.println("*******************************************************");
        
           }
}
